www.cendio.com
Bug 4741 - rdesktop's SCardGetStatusChange() doesn't handle NULL pointers
: rdesktop's SCardGetStatusChange() doesn't handle NULL pointers
Status: CLOSED FIXED
: ThinLinc
rdesktop
: trunk
: PC Unknown
: P2 Normal
: 4.1.1
Assigned To:
:
:
:
: 4732
  Show dependency treegraph
 
Reported: 2013-07-05 13:42 by
Modified: 2013-10-24 11:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-07-05 13:42:50
rdesktop's shitty smart card routines fail to decode NULL pointers in the
protocol. Fixing this properly would basically mean a rewrite (bug 3404), so
for now we'll fix the problems we encounter. The first one is szReader in
SCardGetStatusChange().

Triggered by the Novell Client on 2008 R2.
------- Comment #1 From cendio 2013-07-05 13:46:50 -------
Fixed in r27618.
------- Comment #2 From cendio 2013-10-21 13:33:53 -------
Tests will be done on bug 4511.